package dev.dinauer.maven.maven.core.snapshot.parser;

import dev.dinauer.maven.maven.core.snapshot.SnapshotFile;
import dev.dinauer.maven.maven.core.snapshot.SnapshotPom;
import dev.dinauer.maven.maven.shared.ParserResult;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class SnapshotFileParserTest
{
    @Test
    void test()
    {
        ParserResult<SnapshotFile> result = new SnapshotFileParser("jackson-core", "2.21.0").parse("jackson-core-2.21.0-20250419.123456-1-linux-x86_64");

        Assertions.assertEquals("20250419", result.result().getDate());
        Assertions.assertEquals("123456", result.result().getTime());
        Assertions.assertEquals(1, result.result().getBuildNumber());
        Assertions.assertEquals("linux-x86_64", result.result().getClassifier());
    }
}
